﻿@using ARGNS.WebSite.Resources.Views.DataTables;
@model Tuple<List<ModelDescView>, int, int>
@*@model List<ModelDescView>*@

<div class="row bar_paginator">

    <div class="col-xs-6 col-md-6 pull-left">
        @DataTables.Show
        <select id="PageQtyModelCatalogGrid" class="QuantitySelector">
            <option @(Model.Item3 == 10 ? "selected" : "") value="10">10</option>
            <option @(Model.Item3 == 25 ? "selected" : "") value="25">25</option>
            <option @(Model.Item3 == 50 ? "selected" : "") value="50">50</option>
        </select>
        @DataTables.Entries
    </div>

@{
    string pCatalogCode = "";
    if (Model.Item1 != null && Model.Item1.Count > 0)
    {
        pCatalogCode = Model.Item1.FirstOrDefault().CatalogCode;
    }
}

    <div class="col-xs-6 col-md-6 pull-right no-padding">
        <button id="NextModelCatalogGrid" onclick="GetNextModelCatalogList('@pCatalogCode');" class="btn btn-success btn-ls pull-right margin-left" style="margin-right: 5px;">Next <span class="glyphicon glyphicon-chevron-right"   style="margin-right: -9px; margin-left: 5px;"></span></button>
        <button id="PreviousModelCatalogGrid" onclick="GetPreviousModelCatalogList('@pCatalogCode');" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-chevron-left"></span> Previous </button>
        <input type="number" id="TotalQuantityModelCatalogGrid" class="form-control" disabled="disabled" style="display:none;" value="@Model.Item2">
    </div>

</div>
<div class="clear_simple"></div>

<div class="row list-group" id="products">

    @foreach (ModelDescView mItems in Model.Item1)
    {
        <div class="item  col-xs-4 col-lg-3">
            <div class="thumbnail">

                @if (!string.IsNullOrEmpty(mItems.ImageName.Trim()))
                {
                    <div class="photo_list"><img class="" src="/images/@mItems.ModelCode/@mItems.ImageName" alt="" /></div>
                }
                else
                {
                    <div class="photo_list"><img class="" src="~/Content/img/noimage.gif" alt="" /></div>
                }

                    <div class="caption">
                        <div class="thumb_data"><strong>@PDM.Code</strong>: @mItems.ModelCode </div>
                        <div class="thumb_data"><strong>@PDM.ModelDesc</strong>: @mItems.ModDescription </div>
                        <div class="thumb_data"><strong>@PDM.Season</strong>: @mItems.SeasonDesc </div>
                        <div class="thumb_data"><strong>@PDM.Brand</strong>: @mItems.BrandDesc</div>
                        <div class="thumb_data"><strong>@PDM.Coll</strong>: @mItems.CollDesc </div>
                        <div class="thumb_data"><strong>@PDM.SubColl</strong>: @mItems.SubCollDesc </div>
                        <div class="thumb_data"><strong>@PDM.PG</strong>: @mItems.ProdGroupDesc </div>
                        <div class="thumb_data"><strong>@PDM.Price</strong>: @mItems.Modelprice.ToString() </div>
                        @if (mItems.HasPermissionToViewStock)
                        {
                            <div class="thumb_data"><strong>@PDM.Stock</strong>: @mItems.Stock.ToString() </div>
                            <div class="thumb_data"><strong>@PDM.StockPrepack</strong>: @mItems.StockPrepack.ToString() </div>
                        }
                        <div class="thumb_data">
                            <div class="clear2"></div>
                            <button class="btn btn-success" type="button" data-toggle="modal" onclick="ShowModelFromCatalog('@mItems.ModelCode'); fut_modal_body($('.modal'));">@PDM.Choose</button>
                        </div>
                    </div>
            </div>
        </div>
    }
</div>


